> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Decorator

> This endpoint helps to decorate a room according to prompt passed.

## Request

Make a `POST` request to below endpoint and pass the required parameters in the request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/interior/room_decorator' \
```

## Body

```json json theme={null}
{  
    "key":"enterprise_api_key",  
    "init_image": "https://assets.modelslab.ai/generations/05550b6f-032a-408e-83ae-8100f2c481e5", 
    "prompt": "luxury badroom, table, red carpet, wodden floor",  
    "negative_prompt": "bad quality",  
    "seed": 0,  
    "guidance_scale": 8,  
    "strength": 0.99,  
    "num_inference_steps": 51,  
    "base64": false,  
    "temp": false,  
    "specific_object": "mid-century coffee table",  
    "webhook":null,  
    "track_id": null
}
```

## Body Attributes

<ParamField query="key" type="string" required>
  Your API Key used for request authorization.
</ParamField>

<ParamField query="prompt" type="string" required>
  The text prompt describing the content you want in the generated image.
</ParamField>

<ParamField query="init_image" type="string">
  Link to the Initial Image of the room.
</ParamField>

<ParamField query="negative_prompt" type="string">
  Negative prompts are descriptions of things we don't want in our image. Examples include NSFW content, extra limbs, distorted faces, poor quality, or anything else to avoid.
</ParamField>

<ParamField query="strength" type="number" min="0.0" max="1.0">
  Prompt strength when using init\_image. 1.0 corresponds to full destruction of information in the init image.
</ParamField>

<ParamField query="base64" type="boolean" default="false">
  Get response as a base64 string. Options: `true` or `false`.
</ParamField>

<ParamField query="num_inference_steps" type="integer" enum="[21, 31, 41]">
  The number of denoising steps. Acceptable values are 21, 31, or 41.
</ParamField>

<ParamField query="guidance_scale" type="integer" min="1" max="20">
  The scale for classifier-free guidance. Minimum is 1 and maximum is 20.
</ParamField>

<ParamField query="temp" type="boolean" default="false">
  Create temp image link. This link is valid for 24 hours.
</ParamField>

<ParamField query="specific_object" type="string">
  Name a specific furniture or decor element that must appear in the redesigned room.
</ParamField>

<ParamField query="seed" type="integer">
  Seed is used to reproduce results. Same seed will give you same image in return again. Pass `null` for a random number.
</ParamField>

<ParamField query="webhook" type="string" format="url">
  Provide a URL to receive a POST API call once the image generation is complete.
</ParamField>

<ParamField query="track_id" type="integer">
  This ID is returned in the response to the webhook API call and will be used to identify the webhook request.
</ParamField>
